PostgresConn Class Reference

## Public Member Functions

| PostgresConn (int debug=0)
bool | Connect (const char *dbname, const char *host, const char *user, const char *password, const char *port)
bool | Disconnect ()
bool | Connected ()
VectorMapInfoHolder | GetVectorMapInfo (vector< string > layerNames)
LayerInfoHolder | GetLayerInfo (const char *layer_name)
LayerDataHolder | GetLayerData (const char *layer_name)
int | WriteLayerData (LayerDataHolder &data)

## Private Member Functions

BoundingBox | BinaryToBBox (const uint8_t *binary, uint32_t length)
uint32_t | Text2Bin (const char *text, unsigned char *bin, uint32_t maxlen)

## Static Private Member Functions

static void | bbcb (void *bbox, double x0, double y0, double x1, double y1)

## Private Attributes

playerwkbprocessor_t | wkbprocessor
PGconn * | conn
int | debug

The documentation for this class was generated from the following files:

- dbconn.h
- dbconn.cc

Last updated 12 September 2005 21:38:45